> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List audit trail events for a task.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/task/audits
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/task/audits:
    post:
      tags:
        - Task
      summary: List
      description: List audit trail events for a task.
      operationId: c1.api.task.v1.TaskAudit.List
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.task.v1.TaskAuditListRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.task.v1.TaskAuditListResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.TaskAudit.List(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TaskAuditListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.taskAudit.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.task.v1.TaskAuditListRequest:
      description: The TaskAuditListRequest message.
      properties:
        pageSize:
          description: The maximum number of audit events to return per page.
          format: int32
          type:
            - integer
            - 'null'
        pageToken:
          description: >-
            A pagination token from a previous response to retrieve the next
            page.
          type:
            - string
            - 'null'
        refs:
          description: >-
            References to specific audit events to retrieve. If provided, only
            these events are returned.
          items:
            $ref: '#/components/schemas/c1.api.task.v1.TaskAuditViewRef'
          type:
            - array
            - 'null'
        taskId:
          description: The ID of the task to list audit events for.
          type:
            - string
            - 'null'
      title: Task Audit List Request
      type: object
      x-speakeasy-name-override: TaskAuditListRequest
    c1.api.task.v1.TaskAuditListResponse:
      description: The TaskAuditListResponse message.
      properties:
        list:
          description: The list of audit events for the task.
          items:
            $ref: '#/components/schemas/c1.api.task.v1.TaskAuditView'
          type:
            - array
            - 'null'
        nextPageToken:
          description: A pagination token to retrieve the next page of results.
          type:
            - string
            - 'null'
      title: Task Audit List Response
      type: object
      x-speakeasy-name-override: TaskAuditListResponse
    c1.api.task.v1.TaskAuditViewRef:
      description: The TaskAuditViewRef message.
      properties:
        id:
          description: The ID of the audit event.
          type:
            - string
            - 'null'
      title: Task Audit View Ref
      type: object
      x-speakeasy-name-override: TaskAuditViewRef
    c1.api.task.v1.TaskAuditView:
      description: >
        The TaskAuditView message.


        This message contains a oneof named typ. Only a single field of the
        following list may be set at a time:
          - comment
          - stateChange
          - approvalInstanceChange
          - connectorActionsStart
          - connectorActionsEnd
          - actionResult
          - taskCreated
          - certifyOutcome
          - actionSubmitted
          - grantOutcome
          - revokeOutcome
          - approvalReassigned
          - taskRestarted
          - accessRequestOutcome
          - provisionReassigned
          - provisionError
          - approvedAutomatically
          - reassignedToDelegate
          - hardReset
          - taskEscalated
          - conditionalPolicyExecutionResult
          - expressionPolicyStepError
          - approvalAutoAcceptedByPolicy
          - approvalAutoRejectedByPolicy
          - bulkActionError
          - webhookTriggered
          - webhookAttempt
          - webhookSuccess
          - policyEvaluationStep
          - waitStepSuccess
          - waitStepWaiting
          - waitStepTimedOut
          - webhookApprovalTriggered
          - webhookApprovalAttempt
          - webhookApprovalSuccess
          - webhookApprovalBadResponse
          - externalTicketTriggered
          - externalTicketCreated
          - externalTicketError
          - waitStepAnalysisSuccess
          - waitStepAnalysisWaiting
          - waitStepAnalysisTimedOut
          - stepUpApproval
          - externalTicketProvisionStepResolved
          - stepSkipped
          - reassignmentListError
          - slaEscalation
          - policyChanged
          - formInstanceChange
          - grantDurationUpdated
          - waitStepUntilTime
          - webhookApprovalFatalError
          - accountLifecycleActionCreated
          - accountLifecycleActionFailed
          - provisionCancelled
          - actionInstanceCreated
          - actionInstanceSucceeded
          - actionInstanceFailed
          - createdReplacementExtensionGrantTask
          - taskCreatedFrom
          - reassignmentFallbackToAdmin
      properties:
        accessRequestOutcome:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditAccessRequestOutcome
            - type: 'null'
        accountLifecycleActionCreated:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditAccountLifecycleActionCreated
            - type: 'null'
        accountLifecycleActionFailed:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditAccountLifecycleActionFailed
            - type: 'null'
        actionInstanceCreated:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditActionInstanceCreated
            - type: 'null'
        actionInstanceFailed:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditActionInstanceFailed
            - type: 'null'
        actionInstanceSucceeded:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditActionInstanceSucceeded
            - type: 'null'
        actionResult:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditConnectorActionResult
            - type: 'null'
        actionSubmitted:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditActionSubmitted'
            - type: 'null'
        approvalAutoAcceptedByPolicy:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditApprovalAutoAcceptedByPolicy
            - type: 'null'
        approvalAutoRejectedByPolicy:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditApprovalAutoRejectedByPolicy
            - type: 'null'
        approvalInstanceChange:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditApprovalInstanceChange
            - type: 'null'
        approvalReassigned:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditPolicyApprovalReassigned
            - type: 'null'
        approvedAutomatically:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditApprovalHappenedAutomatically
            - type: 'null'
        bulkActionError:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditBulkActionError'
            - type: 'null'
        certifyOutcome:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditCertifyOutcome'
            - type: 'null'
        comment:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditComment'
            - type: 'null'
        conditionalPolicyExecutionResult:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditConditionalPolicyExecutionResult
            - type: 'null'
        connectorActionsEnd:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditFinishedConnectorActions
            - type: 'null'
        connectorActionsStart:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditStartedConnectorActions
            - type: 'null'
        created:
          format: date-time
          type:
            - string
            - 'null'
        createdReplacementExtensionGrantTask:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditCreatedReplacementExtensionGrantTask
            - type: 'null'
        currentState:
          description: The currentState field.
          enum:
            - TASK_STATE_UNSPECIFIED
            - TASK_STATE_OPEN
            - TASK_STATE_CLOSED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        eventType:
          description: The eventType field.
          enum:
            - TASK_AUDIT_EVENT_TYPE_UNSPECIFIED
            - TASK_AUDIT_EVENT_TYPE_NEUTRAL
            - TASK_AUDIT_EVENT_TYPE_ERROR
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        expressionPolicyStepError:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditExpressionPolicyStepError
            - type: 'null'
        externalTicketCreated:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditExternalTicketCreated
            - type: 'null'
        externalTicketError:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditExternalTicketError'
            - type: 'null'
        externalTicketProvisionStepResolved:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditExternalTicketProvisionStepResolved
            - type: 'null'
        externalTicketTriggered:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditExternalTicketTriggered
            - type: 'null'
        formInstanceChange:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditFormInstanceChange'
            - type: 'null'
        grantDurationUpdated:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditGrantDurationUpdated
            - type: 'null'
        grantOutcome:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditGrantOutcome'
            - type: 'null'
        hardReset:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditHardReset'
            - type: 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
        metadata:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditMetaData'
            - type: 'null'
        policyChanged:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditPolicyChanged'
            - type: 'null'
        policyEvaluationStep:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditPolicyEvaluationStep
            - type: 'null'
        provisionCancelled:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionCancelled
            - type: 'null'
        provisionError:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionError
            - type: 'null'
        provisionReassigned:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionReassigned
            - type: 'null'
        reassignedToDelegate:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditReassignedToDelegate
            - type: 'null'
        reassignmentFallbackToAdmin:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditReassignmentFallbackToAdmin
            - type: 'null'
        reassignmentListError:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditReassignmentListError
            - type: 'null'
        revokeOutcome:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditRevokeOutcome'
            - type: 'null'
        slaEscalation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditSLAEscalation'
            - type: 'null'
        source:
          description: The source field.
          enum:
            - SOURCE_UNSPECIFIED
            - SOURCE_C1
            - SOURCE_JIRA
            - SOURCE_SLACK
            - SOURCE_COPILOT_AGENTS
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        stateChange:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStateChange'
            - type: 'null'
        stepSkipped:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStepSkipped'
            - type: 'null'
        stepUpApproval:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStepUpApproval'
            - type: 'null'
        taskCreated:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditNewTask'
            - type: 'null'
        taskCreatedFrom:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditNewTaskCreatedFrom'
            - type: 'null'
        taskEscalated:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditEscalateToEmergencyAccess
            - type: 'null'
        taskRestarted:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditRestart'
            - type: 'null'
        ticketId:
          description: The ticketId field.
          type:
            - string
            - 'null'
        userId:
          description: The userId field.
          type:
            - string
            - 'null'
        waitStepAnalysisSuccess:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepSuccess
            - type: 'null'
        waitStepAnalysisTimedOut:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepTimedOut
            - type: 'null'
        waitStepAnalysisWaiting:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepWaiting
            - type: 'null'
        waitStepSuccess:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepSuccess'
            - type: 'null'
        waitStepTimedOut:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepTimedOut'
            - type: 'null'
        waitStepUntilTime:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepUntilTime'
            - type: 'null'
        waitStepWaiting:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepWaiting'
            - type: 'null'
        webhookApprovalAttempt:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalAttempt
            - type: 'null'
        webhookApprovalBadResponse:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalBadResponse
            - type: 'null'
        webhookApprovalFatalError:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalFatalError
            - type: 'null'
        webhookApprovalSuccess:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalSuccess
            - type: 'null'
        webhookApprovalTriggered:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalTriggered
            - type: 'null'
        webhookAttempt:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookAttempt'
            - type: 'null'
        webhookSuccess:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookSuccess'
            - type: 'null'
        webhookTriggered:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookTriggered'
            - type: 'null'
        workflowStep:
          description: The workflowStep field.
          format: int32
          type:
            - integer
            - 'null'
      title: Task Audit View
      type: object
      x-speakeasy-name-override: TaskAuditView
    c1.api.task.v1.TaskAuditAccessRequestOutcome:
      description: The TaskAuditAccessRequestOutcome message.
      properties:
        outcome:
          description: The outcome field.
          enum:
            - ACCESS_REQUEST_OUTCOME_UNSPECIFIED
            - ACCESS_REQUEST_OUTCOME_APPROVED
            - ACCESS_REQUEST_OUTCOME_DENIED
            - ACCESS_REQUEST_OUTCOME_ERROR
            - ACCESS_REQUEST_OUTCOME_CANCELLED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Audit Access Request Outcome
      type: object
      x-speakeasy-name-override: TaskAuditAccessRequestOutcome
    c1.api.task.v1.TaskAuditAccountLifecycleActionCreated:
      description: The TaskAuditAccountLifecycleActionCreated message.
      properties:
        batonActionDisplayName:
          description: The batonActionDisplayName field.
          type:
            - string
            - 'null'
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          type:
            - string
            - 'null'
        batonActionName:
          description: The batonActionName field.
          type:
            - string
            - 'null'
        batonAppId:
          description: The batonAppId field.
          type:
            - string
            - 'null'
        batonConnectorId:
          description: The batonConnectorId field.
          type:
            - string
            - 'null'
      title: Task Audit Account Lifecycle Action Created
      type: object
      x-speakeasy-name-override: TaskAuditAccountLifecycleActionCreated
    c1.api.task.v1.TaskAuditAccountLifecycleActionFailed:
      description: The TaskAuditAccountLifecycleActionFailed message.
      properties:
        batonActionDisplayName:
          description: The batonActionDisplayName field.
          type:
            - string
            - 'null'
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          type:
            - string
            - 'null'
        batonActionName:
          description: The batonActionName field.
          type:
            - string
            - 'null'
        batonAppId:
          description: The batonAppId field.
          type:
            - string
            - 'null'
        batonConnectorId:
          description: The batonConnectorId field.
          type:
            - string
            - 'null'
        error:
          description: The error field.
          type:
            - string
            - 'null'
      title: Task Audit Account Lifecycle Action Failed
      type: object
      x-speakeasy-name-override: TaskAuditAccountLifecycleActionFailed
    c1.api.task.v1.TaskAuditActionInstanceCreated:
      description: The TaskAuditActionInstanceCreated message.
      properties:
        instance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
            - type: 'null'
      title: Task Audit Action Instance Created
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceCreated
    c1.api.task.v1.TaskAuditActionInstanceFailed:
      description: The TaskAuditActionInstanceFailed message.
      properties:
        instance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
            - type: 'null'
      title: Task Audit Action Instance Failed
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceFailed
    c1.api.task.v1.TaskAuditActionInstanceSucceeded:
      description: The TaskAuditActionInstanceSucceeded message.
      properties:
        instance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
            - type: 'null'
      title: Task Audit Action Instance Succeeded
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceSucceeded
    c1.api.task.v1.TaskAuditConnectorActionResult:
      description: >
        The TaskAuditConnectorActionResult message.


        This message contains a oneof named result. Only a single field of the
        following list may be set at a time:
          - success
          - error
          - cancelled
          - pending
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          type:
            - string
            - 'null'
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        cancelled:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.TaskAuditCancelledResult'
            - type: 'null'
        connectorActionId:
          description: The connectorActionId field.
          type:
            - string
            - 'null'
        connectorId:
          description: The connectorId field.
          type:
            - string
            - 'null'
        error:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.TaskAuditErrorResult'
            - type: 'null'
        pending:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.TaskAuditPendingResult'
            - type: 'null'
        success:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.TaskAuditSuccessResult'
            - type: 'null'
      title: Task Audit Connector Action Result
      type: object
      x-speakeasy-name-override: TaskAuditConnectorActionResult
    c1.api.task.v1.TaskAuditActionSubmitted:
      description: The TaskAuditActionSubmitted message.
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/c1.api.task.v1.TaskAction'
            - type: 'null'
      title: Task Audit Action Submitted
      type: object
      x-speakeasy-name-override: TaskAuditActionSubmitted
    c1.api.task.v1.TaskAuditApprovalAutoAcceptedByPolicy:
      description: The TaskAuditApprovalAutoAcceptedByPolicy message.
      title: Task Audit Approval Auto Accepted By Policy
      type: object
      x-speakeasy-name-override: TaskAuditApprovalAutoAcceptedByPolicy
    c1.api.task.v1.TaskAuditApprovalAutoRejectedByPolicy:
      description: The TaskAuditApprovalAutoRejectedByPolicy message.
      title: Task Audit Approval Auto Rejected By Policy
      type: object
      x-speakeasy-name-override: TaskAuditApprovalAutoRejectedByPolicy
    c1.api.task.v1.TaskAuditApprovalInstanceChange:
      description: The TaskAuditApprovalInstanceChange message.
      properties:
        instance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ApprovalInstance'
            - type: 'null'
      title: Task Audit Approval Instance Change
      type: object
      x-speakeasy-name-override: TaskAuditApprovalInstanceChange
    c1.api.task.v1.TaskAuditPolicyApprovalReassigned:
      description: The TaskAuditPolicyApprovalReassigned message.
      properties:
        newPolicyStepId:
          description: The newPolicyStepId field.
          type:
            - string
            - 'null'
        newUsers:
          description: The newUsers field.
          items:
            type: string
          type:
            - array
            - 'null'
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          type:
            - string
            - 'null'
        users:
          description: The users field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          type:
            - array
            - 'null'
      title: Task Audit Policy Approval Reassigned
      type: object
      x-speakeasy-name-override: TaskAuditPolicyApprovalReassigned
    c1.api.task.v1.TaskAuditApprovalHappenedAutomatically:
      description: The TaskAuditApprovalHappenedAutomatically message.
      title: Task Audit Approval Happened Automatically
      type: object
      x-speakeasy-name-override: TaskAuditApprovalHappenedAutomatically
    c1.api.task.v1.TaskAuditBulkActionError:
      description: The TaskAuditBulkActionError message.
      properties:
        error:
          description: The error field.
          type:
            - string
            - 'null'
      title: Task Audit Bulk Action Error
      type: object
      x-speakeasy-name-override: TaskAuditBulkActionError
    c1.api.task.v1.TaskAuditCertifyOutcome:
      description: The TaskAuditCertifyOutcome message.
      properties:
        outcome:
          description: The outcome field.
          enum:
            - CERTIFY_OUTCOME_UNSPECIFIED
            - CERTIFY_OUTCOME_CERTIFIED
            - CERTIFY_OUTCOME_DECERTIFIED
            - CERTIFY_OUTCOME_ERROR
            - CERTIFY_OUTCOME_CANCELLED
            - CERTIFY_OUTCOME_WAIT_TIMED_OUT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Audit Certify Outcome
      type: object
      x-speakeasy-name-override: TaskAuditCertifyOutcome
    c1.api.task.v1.TaskAuditComment:
      description: The TaskAuditComment message.
      properties:
        comment:
          description: The comment field.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
        updatedBy:
          description: The updatedBy field.
          type:
            - string
            - 'null'
      title: Task Audit Comment
      type: object
      x-speakeasy-name-override: TaskAuditComment
    c1.api.task.v1.TaskAuditConditionalPolicyExecutionResult:
      description: The TaskAuditConditionalPolicyExecutionResult message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        conditionMatched:
          description: The conditionMatched field.
          type:
            - boolean
            - 'null'
        defaultCondition:
          description: The defaultCondition field.
          type:
            - boolean
            - 'null'
        error:
          description: The error field.
          type:
            - string
            - 'null'
        policyKey:
          description: The policyKey field.
          type:
            - string
            - 'null'
      title: Task Audit Conditional Policy Execution Result
      type: object
      x-speakeasy-name-override: TaskAuditConditionalPolicyExecutionResult
    c1.api.task.v1.TaskAuditFinishedConnectorActions:
      description: The TaskAuditFinishedConnectorActions message.
      properties:
        policyStepId:
          description: The policyStepId field.
          type:
            - string
            - 'null'
      title: Task Audit Finished Connector Actions
      type: object
      x-speakeasy-name-override: TaskAuditFinishedConnectorActions
    c1.api.task.v1.TaskAuditStartedConnectorActions:
      description: The TaskAuditStartedConnectorActions message.
      properties:
        policyStepId:
          description: The policyStepId field.
          type:
            - string
            - 'null'
      title: Task Audit Started Connector Actions
      type: object
      x-speakeasy-name-override: TaskAuditStartedConnectorActions
    c1.api.task.v1.TaskAuditCreatedReplacementExtensionGrantTask:
      description: >-
        TaskAuditCreatedReplacementExtensionGrantTask is used when a replacement
        extension grant task is created
         (e.g. when an extension grant task is cancelled due to app user deletion).
      properties:
        newTaskId:
          description: The ID of the newly created replacement task
          type:
            - string
            - 'null'
        newTaskNumericId:
          description: The numeric ID of the newly created replacement task (for display)
          format: int64
          type:
            - string
            - 'null'
      title: Task Audit Created Replacement Extension Grant Task
      type: object
      x-speakeasy-name-override: TaskAuditCreatedReplacementExtensionGrantTask
    c1.api.task.v1.TaskAuditExpressionPolicyStepError:
      description: The TaskAuditExpressionPolicyStepError message.
      properties:
        error:
          description: The error field.
          type:
            - string
            - 'null'
      title: Task Audit Expression Policy Step Error
      type: object
      x-speakeasy-name-override: TaskAuditExpressionPolicyStepError
    c1.api.task.v1.TaskAuditExternalTicketCreated:
      description: The TaskAuditExternalTicketCreated message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        connectorId:
          description: The connectorId field.
          type:
            - string
            - 'null'
        externalTicketId:
          description: The externalTicketId field.
          type:
            - string
            - 'null'
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          type:
            - string
            - 'null'
        externalTicketProvisionerConfigName:
          description: The externalTicketProvisionerConfigName field.
          type:
            - string
            - 'null'
        externalTicketUrl:
          description: The externalTicketUrl field.
          type:
            - string
            - 'null'
      title: Task Audit External Ticket Created
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketCreated
    c1.api.task.v1.TaskAuditExternalTicketError:
      description: The TaskAuditExternalTicketError message.
      properties:
        errorMessage:
          description: The errorMessage field.
          type:
            - string
            - 'null'
      title: Task Audit External Ticket Error
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketError
    c1.api.task.v1.TaskAuditExternalTicketProvisionStepResolved:
      description: The TaskAuditExternalTicketProvisionStepResolved message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        connectorId:
          description: The connectorId field.
          type:
            - string
            - 'null'
        externalTicketId:
          description: The externalTicketId field.
          type:
            - string
            - 'null'
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          type:
            - string
            - 'null'
        externalTicketUrl:
          description: The externalTicketUrl field.
          type:
            - string
            - 'null'
      title: Task Audit External Ticket Provision Step Resolved
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketProvisionStepResolved
    c1.api.task.v1.TaskAuditExternalTicketTriggered:
      description: The TaskAuditExternalTicketTriggered message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        connectorId:
          description: The connectorId field.
          type:
            - string
            - 'null'
        externalTicketId:
          description: The externalTicketId field.
          type:
            - string
            - 'null'
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          type:
            - string
            - 'null'
        externalTicketProvisionerConfigName:
          description: The externalTicketProvisionerConfigName field.
          type:
            - string
            - 'null'
      title: Task Audit External Ticket Triggered
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketTriggered
    c1.api.task.v1.TaskAuditFormInstanceChange:
      description: The TaskAuditFormInstanceChange message.
      properties:
        isValid:
          description: The isValid field.
          type:
            - boolean
            - 'null'
      title: Task Audit Form Instance Change
      type: object
      x-speakeasy-name-override: TaskAuditFormInstanceChange
    c1.api.task.v1.TaskAuditGrantDurationUpdated:
      description: The TaskAuditGrantDurationUpdated message.
      properties:
        duration:
          format: duration
          type:
            - string
            - 'null'
      title: Task Audit Grant Duration Updated
      type: object
      x-speakeasy-name-override: TaskAuditGrantDurationUpdated
    c1.api.task.v1.TaskAuditGrantOutcome:
      description: The TaskAuditGrantOutcome message.
      properties:
        outcome:
          description: The outcome field.
          enum:
            - GRANT_OUTCOME_UNSPECIFIED
            - GRANT_OUTCOME_GRANTED
            - GRANT_OUTCOME_DENIED
            - GRANT_OUTCOME_ERROR
            - GRANT_OUTCOME_CANCELLED
            - GRANT_OUTCOME_WAIT_TIMED_OUT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Audit Grant Outcome
      type: object
      x-speakeasy-name-override: TaskAuditGrantOutcome
    c1.api.task.v1.TaskAuditHardReset:
      description: The TaskAuditHardReset message.
      properties:
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          type:
            - string
            - 'null'
      title: Task Audit Hard Reset
      type: object
      x-speakeasy-name-override: TaskAuditHardReset
    c1.api.task.v1.TaskAuditMetaData:
      description: The TaskAuditMetaData message.
      properties:
        user:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.User'
            - type: 'null'
      title: Task Audit Meta Data
      type: object
      x-speakeasy-name-override: TaskAuditMetaData
    c1.api.task.v1.TaskAuditPolicyChanged:
      description: The TaskAuditPolicyChanged message.
      properties:
        newPolicyId:
          description: The newPolicyId field.
          type:
            - string
            - 'null'
        oldPolicyId:
          description: The oldPolicyId field.
          type:
            - string
            - 'null'
      title: Task Audit Policy Changed
      type: object
      x-speakeasy-name-override: TaskAuditPolicyChanged
    c1.api.task.v1.TaskAuditPolicyEvaluationStep:
      description: The TaskAuditPolicyEvaluationStep message.
      properties:
        stepComment:
          description: The stepComment field.
          type:
            - string
            - 'null'
      title: Task Audit Policy Evaluation Step
      type: object
      x-speakeasy-name-override: TaskAuditPolicyEvaluationStep
    c1.api.task.v1.TaskAuditPolicyProvisionCancelled:
      description: The TaskAuditPolicyProvisionCancelled message.
      properties:
        cancelReason:
          description: The cancelReason field.
          type:
            - string
            - 'null'
      title: Task Audit Policy Provision Cancelled
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionCancelled
    c1.api.task.v1.TaskAuditPolicyProvisionError:
      description: The TaskAuditPolicyProvisionError message.
      properties:
        error:
          description: The error field.
          type:
            - string
            - 'null'
      title: Task Audit Policy Provision Error
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionError
    c1.api.task.v1.TaskAuditPolicyProvisionReassigned:
      description: The TaskAuditPolicyProvisionReassigned message.
      properties:
        newPolicyStepId:
          description: The newPolicyStepId field.
          type:
            - string
            - 'null'
        newUsers:
          description: The newUsers field.
          items:
            type: string
          type:
            - array
            - 'null'
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          type:
            - string
            - 'null'
        users:
          description: The users field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          type:
            - array
            - 'null'
      title: Task Audit Policy Provision Reassigned
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionReassigned
    c1.api.task.v1.TaskAuditReassignedToDelegate:
      description: The TaskAuditReassignedToDelegate message.
      properties:
        delegatedAssigneeUser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.User'
            - type: 'null'
        delegatedAssigneeUserId:
          description: The delegatedAssigneeUserId field.
          type:
            - string
            - 'null'
        originalAssigneeUser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.User'
            - type: 'null'
        originalAssigneeUserId:
          description: The originalAssigneeUserId field.
          type:
            - string
            - 'null'
      title: Task Audit Reassigned To Delegate
      type: object
      x-speakeasy-name-override: TaskAuditReassignedToDelegate
    c1.api.task.v1.TaskAuditReassignmentFallbackToAdmin:
      description: >-
        TaskAuditReassignmentFallbackToAdmin is used when no eligible reviewers
        are found
         from the policy configuration and the task falls back to system administrators
         without creating a new policy step. This prevents reassignment loops.
      properties:
        adminUserIds:
          description: >-
            The IDs of the system administrator users that the task is being
            assigned to
          items:
            type: string
          type:
            - array
            - 'null'
        adminUsers:
          description: The system administrator users (populated for display)
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          type:
            - array
            - 'null'
      title: Task Audit Reassignment Fallback To Admin
      type: object
      x-speakeasy-name-override: TaskAuditReassignmentFallbackToAdmin
    c1.api.task.v1.TaskAuditReassignmentListError:
      description: The TaskAuditReassignmentListError message.
      properties:
        errorMessage:
          description: The errorMessage field.
          type:
            - string
            - 'null'
      title: Task Audit Reassignment List Error
      type: object
      x-speakeasy-name-override: TaskAuditReassignmentListError
    c1.api.task.v1.TaskAuditRevokeOutcome:
      description: The TaskAuditRevokeOutcome message.
      properties:
        outcome:
          description: The outcome field.
          enum:
            - REVOKE_OUTCOME_UNSPECIFIED
            - REVOKE_OUTCOME_REVOKED
            - REVOKE_OUTCOME_DENIED
            - REVOKE_OUTCOME_ERROR
            - REVOKE_OUTCOME_CANCELLED
            - REVOKE_OUTCOME_WAIT_TIMED_OUT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Audit Revoke Outcome
      type: object
      x-speakeasy-name-override: TaskAuditRevokeOutcome
    c1.api.task.v1.TaskAuditSLAEscalation:
      description: The TaskAuditSLAEscalation message.
      properties:
        message:
          description: The message field.
          type:
            - string
            - 'null'
      title: Task Audit Sla Escalation
      type: object
      x-speakeasy-name-override: TaskAuditSLAEscalation
    c1.api.task.v1.TaskAuditStateChange:
      description: The TaskAuditStateChange message.
      properties:
        previousState:
          description: The previousState field.
          enum:
            - TASK_STATE_UNSPECIFIED
            - TASK_STATE_OPEN
            - TASK_STATE_CLOSED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Audit State Change
      type: object
      x-speakeasy-name-override: TaskAuditStateChange
    c1.api.task.v1.TaskAuditStepSkipped:
      description: The TaskAuditStepSkipped message.
      properties:
        skippedBy:
          description: The skippedBy field.
          type:
            - string
            - 'null'
      title: Task Audit Step Skipped
      type: object
      x-speakeasy-name-override: TaskAuditStepSkipped
    c1.api.task.v1.TaskAuditStepUpApproval:
      description: The TaskAuditStepUpApproval message.
      properties:
        stepUpTransactionId:
          description: The stepUpTransactionId field.
          type:
            - string
            - 'null'
      title: Task Audit Step Up Approval
      type: object
      x-speakeasy-name-override: TaskAuditStepUpApproval
    c1.api.task.v1.TaskAuditNewTask:
      description: The TaskAuditNewTask message.
      title: Task Audit New Task
      type: object
      x-speakeasy-name-override: TaskAuditNewTask
    c1.api.task.v1.TaskAuditNewTaskCreatedFrom:
      description: >-
        TaskAuditNewTaskCreatedFrom is used when a task is created from another
        task
         (e.g. when a replacement extension grant task is created after the original is cancelled).
         This is set on the NEW task to indicate its origin.
      properties:
        originalTaskId:
          description: The originalTaskId field.
          type:
            - string
            - 'null'
        originalTaskNumericId:
          description: The originalTaskNumericId field.
          format: int64
          type:
            - string
            - 'null'
        originalTaskType:
          description: >-
            The task type of the original task (e.g. "grant", "revoke",
            "certify").
          type:
            - string
            - 'null'
      title: Task Audit New Task Created From
      type: object
      x-speakeasy-name-override: TaskAuditNewTaskCreatedFrom
    c1.api.task.v1.TaskAuditEscalateToEmergencyAccess:
      description: The TaskAuditEscalateToEmergencyAccess message.
      properties:
        oldPolicyId:
          description: The oldPolicyId field.
          type:
            - string
            - 'null'
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          type:
            - string
            - 'null'
      title: Task Audit Escalate To Emergency Access
      type: object
      x-speakeasy-name-override: TaskAuditEscalateToEmergencyAccess
    c1.api.task.v1.TaskAuditRestart:
      description: The TaskAuditRestart message.
      properties:
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          type:
            - string
            - 'null'
      title: Task Audit Restart
      type: object
      x-speakeasy-name-override: TaskAuditRestart
    c1.api.task.v1.TaskAuditWaitForAnalysisStepSuccess:
      description: The TaskAuditWaitForAnalysisStepSuccess message.
      properties:
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
        succeededAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Task Audit Wait For Analysis Step Success
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepSuccess
    c1.api.task.v1.TaskAuditWaitForAnalysisStepTimedOut:
      description: The TaskAuditWaitForAnalysisStepTimedOut message.
      properties:
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
        timedOutAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Task Audit Wait For Analysis Step Timed Out
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepTimedOut
    c1.api.task.v1.TaskAuditWaitForAnalysisStepWaiting:
      description: The TaskAuditWaitForAnalysisStepWaiting message.
      properties:
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
      title: Task Audit Wait For Analysis Step Waiting
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepWaiting
    c1.api.task.v1.TaskAuditWaitStepSuccess:
      description: The TaskAuditWaitStepSuccess message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
        succeededAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Task Audit Wait Step Success
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepSuccess
    c1.api.task.v1.TaskAuditWaitStepTimedOut:
      description: The TaskAuditWaitStepTimedOut message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
        timedOutAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Task Audit Wait Step Timed Out
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepTimedOut
    c1.api.task.v1.TaskAuditWaitStepUntilTime:
      description: The TaskAuditWaitStepUntilTime message.
      properties:
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
        untilTime:
          format: date-time
          type:
            - string
            - 'null'
      title: Task Audit Wait Step Until Time
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepUntilTime
    c1.api.task.v1.TaskAuditWaitStepWaiting:
      description: The TaskAuditWaitStepWaiting message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        stepId:
          description: The stepId field.
          type:
            - string
            - 'null'
      title: Task Audit Wait Step Waiting
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepWaiting
    c1.api.task.v1.TaskAuditWebhookApprovalAttempt:
      description: The TaskAuditWebhookApprovalAttempt message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Approval Attempt
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalAttempt
    c1.api.task.v1.TaskAuditWebhookApprovalBadResponse:
      description: The TaskAuditWebhookApprovalBadResponse message.
      properties:
        error:
          description: The error field.
          type:
            - string
            - 'null'
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Approval Bad Response
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalBadResponse
    c1.api.task.v1.TaskAuditWebhookApprovalFatalError:
      description: The TaskAuditWebhookApprovalFatalError message.
      properties:
        error:
          description: The error field.
          type:
            - string
            - 'null'
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Approval Fatal Error
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalFatalError
    c1.api.task.v1.TaskAuditWebhookApprovalSuccess:
      description: The TaskAuditWebhookApprovalSuccess message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Approval Success
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalSuccess
    c1.api.task.v1.TaskAuditWebhookApprovalTriggered:
      description: The TaskAuditWebhookApprovalTriggered message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Approval Triggered
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalTriggered
    c1.api.task.v1.TaskAuditWebhookAttempt:
      description: The TaskAuditWebhookAttempt message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Attempt
      type: object
      x-speakeasy-name-override: TaskAuditWebhookAttempt
    c1.api.task.v1.TaskAuditWebhookSuccess:
      description: The TaskAuditWebhookSuccess message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Success
      type: object
      x-speakeasy-name-override: TaskAuditWebhookSuccess
    c1.api.task.v1.TaskAuditWebhookTriggered:
      description: The TaskAuditWebhookTriggered message.
      properties:
        webhookId:
          description: The webhookId field.
          type:
            - string
            - 'null'
        webhookInstanceId:
          description: The webhookInstanceId field.
          type:
            - string
            - 'null'
        webhookName:
          description: The webhookName field.
          type:
            - string
            - 'null'
        webhookUrl:
          description: The webhookUrl field.
          type:
            - string
            - 'null'
      title: Task Audit Webhook Triggered
      type: object
      x-speakeasy-name-override: TaskAuditWebhookTriggered
    c1.api.policy.v1.ActionInstance:
      description: >
        The ActionInstance message.


        This message contains a oneof named target_instance. Only a single field
        of the following list may be set at a time:
          - automation
          - batonResourceActionInstance
          - clientIdApprovalInstance


        This message contains a oneof named outcome. Only a single field of the
        following list may be set at a time:
          - success
          - denied
          - error
          - cancelled
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Action'
            - type: 'null'
        automation:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.ActionTargetAutomationInstance
            - type: 'null'
        batonResourceActionInstance:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.ActionTargetBatonResourceActionInstance
            - type: 'null'
        cancelled:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeCancelled'
            - type: 'null'
        clientIdApprovalInstance:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.ActionTargetClientIdApprovalInstance
            - type: 'null'
        denied:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeDenied'
            - type: 'null'
        error:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeError'
            - type: 'null'
        state:
          description: The current state of the action execution.
          enum:
            - ACTION_INSTANCE_STATE_UNSPECIFIED
            - ACTION_INSTANCE_STATE_INIT
            - ACTION_INSTANCE_STATE_RUNNING
            - ACTION_INSTANCE_STATE_DONE
            - ACTION_INSTANCE_STATE_ERROR
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        success:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeSuccess'
            - type: 'null'
      title: Action Instance
      type: object
      x-speakeasy-name-override: ActionInstance
    c1.api.app.v1.TaskAuditCancelledResult:
      description: The TaskAuditCancelledResult message.
      properties:
        cancelReason:
          description: >-
            Human-readable reason the action was cancelled. Already populated on
            the
             model-side CanceledResult (e.g., "action is invalid - ticket is closed");
             this surfaces it to the UI.
          type:
            - string
            - 'null'
      title: Task Audit Cancelled Result
      type: object
      x-speakeasy-name-override: TaskAuditCancelledResult
    c1.api.app.v1.TaskAuditErrorResult:
      description: The TaskAuditErrorResult message.
      properties:
        errorCount:
          description: 'TODO(pquerna): expand'
          format: int64
          type:
            - string
            - 'null'
        errorReason:
          description: The errorReason field.
          type:
            - string
            - 'null'
      title: Task Audit Error Result
      type: object
      x-speakeasy-name-override: TaskAuditErrorResult
    c1.api.app.v1.TaskAuditPendingResult:
      description: The TaskAuditPendingResult message.
      properties:
        pendingReason:
          description: >-
            Human-readable explanation of why the action is pending. Rendered in
            the
             ticket audit log so admins can see what the action is waiting on (e.g.,
             "GitHub org invite sent. User must accept the invitation before team
             membership can be granted."). Naming mirrors TaskAuditErrorResult.error_reason
             and TaskAuditCancelledResult.cancel_reason for consistency.
          type:
            - string
            - 'null'
      title: Task Audit Pending Result
      type: object
      x-speakeasy-name-override: TaskAuditPendingResult
    c1.api.app.v1.TaskAuditSuccessResult:
      description: The TaskAuditSuccessResult message.
      properties:
        annotations:
          description: The annotations field.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            type: object
          type:
            - array
            - 'null'
        effects:
          description: The effects field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.ConnectorActionEffect'
          type:
            - array
            - 'null'
        successReason:
          description: >-
            Optional human-readable note about the successful action. Rendered
            in
             the ticket audit log when present (e.g., "Account already existed; no
             change made." for the AlreadyExistsResult path). Naming mirrors
             TaskAuditErrorResult.error_reason and TaskAuditCancelledResult.cancel_reason
             for consistency.
          type:
            - string
            - 'null'
      title: Task Audit Success Result
      type: object
      x-speakeasy-name-override: TaskAuditSuccessResult
    c1.api.task.v1.TaskAction:
      description: Represents a single action that was performed on a task.
      properties:
        actionType:
          description: The type of action that was performed.
          enum:
            - TASK_ACTION_TYPE_UNSPECIFIED
            - TASK_ACTION_TYPE_CLOSE
            - TASK_ACTION_TYPE_APPROVE
            - TASK_ACTION_TYPE_DENY
            - TASK_ACTION_TYPE_COMMENT
            - TASK_ACTION_TYPE_DELETE
            - TASK_ACTION_TYPE_REASSIGN
            - TASK_ACTION_TYPE_RESTART
            - TASK_ACTION_TYPE_SEND_REMINDER
            - TASK_ACTION_TYPE_PROVISION_COMPLETE
            - TASK_ACTION_TYPE_PROVISION_CANCELLED
            - TASK_ACTION_TYPE_PROVISION_ERRORED
            - TASK_ACTION_TYPE_ROLLBACK_SKIPPED
            - TASK_ACTION_TYPE_PROVISION_APP_USER_TARGET_CREATED
            - TASK_ACTION_TYPE_HARD_RESET
            - TASK_ACTION_TYPE_ESCALATE_TO_EMERGENCY_ACCESS
            - TASK_ACTION_TYPE_CHANGE_POLICY
            - TASK_ACTION_TYPE_RECALCULATE_DENIAL_FROM_BASE_POLICY_DECISIONS
            - TASK_ACTION_TYPE_SET_INSIGHTS_AND_RECOMMENDATION
            - TASK_ACTION_TYPE_SET_ANALYSIS_ID
            - TASK_ACTION_TYPE_RECALCULATE_APPROVERS_LIST
            - TASK_ACTION_TYPE_PROCESS_NOW
            - TASK_ACTION_TYPE_APPROVE_WITH_STEP_UP
            - TASK_ACTION_TYPE_SKIP_STEP
            - TASK_ACTION_TYPE_ROLLBACK_CANCELLED
            - TASK_ACTION_TYPE_UPDATE_REQUEST_DATA
            - TASK_ACTION_TYPE_UPDATE_GRANT_DURATION
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        bulkActionId:
          description: >-
            The ID of the bulk action this action belongs to, if it was part of
            a bulk operation.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        id:
          description: The unique ID of this action.
          type:
            - string
            - 'null'
        policyStepId:
          description: The ID of the policy step this action was performed on.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The ID of the user who performed the action.
          type:
            - string
            - 'null'
      title: Task Action
      type: object
      x-speakeasy-name-override: SubmittedTaskAction
    c1.api.policy.v1.ApprovalInstance:
      description: >
        The approval instance object describes the way a policy step should be
        approved as well as its outcomes and state.


        This message contains a oneof named outcome. Only a single field of the
        following list may be set at a time:
          - approved
          - denied
          - reassigned
          - restarted
          - reassignedByError
          - skipped
      properties:
        approval:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Approval'
            - type: 'null'
        approved:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ApprovedAction'
            - type: 'null'
        assignedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        denied:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.DeniedAction'
            - type: 'null'
        escalationInstance:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.EscalationInstance'
            - type: 'null'
        reassigned:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ReassignedAction'
            - type: 'null'
        reassignedByError:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ReassignedByErrorAction'
            - type: 'null'
        restarted:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.RestartAction'
            - type: 'null'
        skipped:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.SkippedAction'
            - type: 'null'
        state:
          description: The state of the approval instance
          enum:
            - APPROVAL_INSTANCE_STATE_UNSPECIFIED
            - APPROVAL_INSTANCE_STATE_INIT
            - APPROVAL_INSTANCE_STATE_SENDING_NOTIFICATIONS
            - APPROVAL_INSTANCE_STATE_WAITING
            - APPROVAL_INSTANCE_STATE_DONE
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Approval Instance
      type: object
      x-speakeasy-name-override: ApprovalInstance
    c1.api.user.v1.User:
      description: >-
        The User object provides all of the details for an user, as well as some
        configuration.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        delegatedUserId:
          description: >-
            The id of the user to whom tasks will be automatically reassigned
            to.
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        department:
          description: The department which the user belongs to in the organization.
          readOnly: true
          type:
            - string
            - 'null'
        departmentSources:
          description: >-
            A list of objects mapped based on department attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        directoryIds:
          description: A list of unique ids that represent different directories.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        directoryStatus:
          description: The status of the user in the directory.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        directoryStatusSources:
          description: >-
            A list of objects mapped based on directoryStatus attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        displayName:
          description: The display name of the user.
          readOnly: true
          type:
            - string
            - 'null'
        email:
          description: This is the user's email.
          readOnly: true
          type:
            - string
            - 'null'
        emailSources:
          description: A list of source data for the email attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        emails:
          description: This is a list of all of the user's emails from app users.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        employeeIdSources:
          description: A list of source data for the employee IDs attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        employeeIds:
          description: This is a list of all of the user's employee IDs from app users.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        employmentStatus:
          description: The users employment status.
          readOnly: true
          type:
            - string
            - 'null'
        employmentStatusSources:
          description: >-
            A list of objects mapped based on employmentStatus attribute
            mappings configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        employmentType:
          description: The employment type of the user.
          readOnly: true
          type:
            - string
            - 'null'
        employmentTypeSources:
          description: >-
            A list of objects mapped based on employmentType attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        id:
          description: A unique identifier of the user.
          readOnly: true
          type:
            - string
            - 'null'
        jobTitle:
          description: The job title of the user.
          readOnly: true
          type:
            - string
            - 'null'
        jobTitleSources:
          description: >-
            A list of objects mapped based on jobTitle attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        managerIds:
          description: A list of ids of the user's managers.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        managerSources:
          description: >-
            A list of objects mapped based on managerId attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        origin:
          description: The origin of the user, describing who owns the user's lifecycle.
          enum:
            - USER_ORIGIN_UNSPECIFIED
            - USER_ORIGIN_DIRECTORY
            - USER_ORIGIN_LOCAL
            - USER_ORIGIN_SYSTEM
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        profile:
          additionalProperties: true
          readOnly: true
          type:
            - object
            - 'null'
        roleIds:
          description: >-
            A list of unique identifiers that maps to ConductorOne's user roles
            let you assign users permissions tailored to the work they do in the
            software.
          items:
            type: string
          type:
            - array
            - 'null'
        status:
          description: The status of the user in the system.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        type:
          description: The type of the user.
          enum:
            - USER_TYPE_UNSPECIFIED
            - USER_TYPE_SYSTEM
            - USER_TYPE_HUMAN
            - USER_TYPE_SERVICE
            - USER_TYPE_AGENT
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        username:
          description: >-
            This is the user's primary username. Typically sourced from the
            primary directory.
          readOnly: true
          type:
            - string
            - 'null'
        usernameSources:
          description: A list of source data for the usernames attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          readOnly: true
          type:
            - array
            - 'null'
        usernames:
          description: This is a list of all of the user's usernames from app users.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
      title: User
      type: object
      x-speakeasy-name-override: User
    c1.api.policy.v1.Action:
      description: >
        The Action message.


        This message contains a oneof named target. Only a single field of the
        following list may be set at a time:
          - automation
          - batonResourceAction
          - clientIdApproval
      properties:
        automation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ActionTargetAutomation'
            - type: 'null'
        batonResourceAction:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.ActionTargetBatonResourceAction
            - type: 'null'
        clientIdApproval:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.ActionTargetClientIdApproval
            - type: 'null'
      title: Action
      type: object
      x-speakeasy-name-override: Action
    c1.api.policy.v1.ActionTargetAutomationInstance:
      description: The ActionTargetAutomationInstance message.
      properties:
        automationExecutionId:
          description: The automationExecutionId field.
          type:
            - string
            - 'null'
      title: Action Target Automation Instance
      type: object
      x-speakeasy-name-override: ActionTargetAutomationInstance
    c1.api.policy.v1.ActionTargetBatonResourceActionInstance:
      description: The ActionTargetBatonResourceActionInstance message.
      properties:
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          type:
            - string
            - 'null'
      title: Action Target Baton Resource Action Instance
      type: object
      x-speakeasy-name-override: ActionTargetBatonResourceActionInstance
    c1.api.policy.v1.ActionOutcomeCancelled:
      description: The ActionOutcomeCancelled message.
      properties:
        outcomeTime:
          format: date-time
          type:
            - string
            - 'null'
      title: Action Outcome Cancelled
      type: object
      x-speakeasy-name-override: ActionOutcomeCancelled
    c1.api.policy.v1.ActionTargetClientIdApprovalInstance:
      description: |-
        ActionTargetClientIdApprovalInstance carries the registration key of the
         external OAuth client that is being reviewed.
      properties:
        clientIdUrl:
          description: The clientIdUrl field.
          type:
            - string
            - 'null'
      title: Action Target Client Id Approval Instance
      type: object
      x-speakeasy-name-override: ActionTargetClientIdApprovalInstance
    c1.api.policy.v1.ActionOutcomeDenied:
      description: The ActionOutcomeDenied message.
      properties:
        outcomeTime:
          format: date-time
          type:
            - string
            - 'null'
      title: Action Outcome Denied
      type: object
      x-speakeasy-name-override: ActionOutcomeDenied
    c1.api.policy.v1.ActionOutcomeError:
      description: The ActionOutcomeError message.
      properties:
        errorCode:
          description: The errorCode field.
          type:
            - string
            - 'null'
        errorMessage:
          description: The errorMessage field.
          type:
            - string
            - 'null'
        outcomeTime:
          format: date-time
          type:
            - string
            - 'null'
      title: Action Outcome Error
      type: object
      x-speakeasy-name-override: ActionOutcomeError
    c1.api.policy.v1.ActionOutcomeSuccess:
      description: The ActionOutcomeSuccess message.
      properties:
        outcomeTime:
          format: date-time
          type:
            - string
            - 'null'
      title: Action Outcome Success
      type: object
      x-speakeasy-name-override: ActionOutcomeSuccess
    c1.api.app.v1.ConnectorActionEffect:
      description: The ConnectorActionEffect message.
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          type:
            - string
            - 'null'
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        appUserId:
          description: The appUserId field.
          type:
            - string
            - 'null'
        connectorActionId:
          description: The connectorActionId field.
          type:
            - string
            - 'null'
        connectorEntitlementId:
          description: The connectorEntitlementId field.
          type:
            - string
            - 'null'
        connectorGrantId:
          description: The connectorGrantId field.
          type:
            - string
            - 'null'
        connectorId:
          description: The connectorId field.
          type:
            - string
            - 'null'
        effectSource:
          description: The effectSource field.
          enum:
            - CONNECTOR_ACTION_EFFECT_SOURCE_UNSPECIFIED
            - CONNECTOR_ACTION_EFFECT_SOURCE_ACTION_TARGET
            - CONNECTOR_ACTION_EFFECT_SOURCE_CONNECTOR_RESPONSE
            - CONNECTOR_ACTION_EFFECT_SOURCE_GRANT_REPLACED
            - CONNECTOR_ACTION_EFFECT_SOURCE_DEFAULT_REPLACEMENT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        effectType:
          description: The effectType field.
          enum:
            - CONNECTOR_ACTION_EFFECT_TYPE_UNSPECIFIED
            - CONNECTOR_ACTION_EFFECT_TYPE_GRANT
            - CONNECTOR_ACTION_EFFECT_TYPE_REVOKE
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        exclusionGroupId:
          description: The exclusionGroupId field.
          type:
            - string
            - 'null'
        replacedConnectorGrantId:
          description: The replacedConnectorGrantId field.
          type:
            - string
            - 'null'
        unresolvedReason:
          description: The unresolvedReason field.
          type:
            - string
            - 'null'
      title: Connector Action Effect
      type: object
      x-speakeasy-name-override: ConnectorActionEffect
    c1.api.policy.v1.Approval:
      description: >
        The Approval message.


        This message contains a oneof named typ. Only a single field of the
        following list may be set at a time:
          - users
          - manager
          - appOwners
          - group
          - self
          - entitlementOwners
          - expression
          - webhook
          - resourceOwners
          - agent
      properties:
        agent:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.AgentApproval'
            - type: 'null'
        allowDelegation:
          description: Whether ticket delegation is allowed for this step.
          type:
            - boolean
            - 'null'
        allowReassignment:
          description: Configuration to allow reassignment by reviewers during this step.
          type:
            - boolean
            - 'null'
        allowedReassignees:
          description: List of users for whom this step can be reassigned.
          items:
            type: string
          type:
            - array
            - 'null'
        appOwners:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.AppOwnerApproval'
            - type: 'null'
        assigned:
          description: A field indicating whether this step is assigned.
          readOnly: true
          type:
            - boolean
            - 'null'
        entitlementOwners:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.EntitlementOwnerApproval'
            - type: 'null'
        escalation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Escalation'
            - type: 'null'
        escalationEnabled:
          description: Whether escalation is enabled for this step.
          type:
            - boolean
            - 'null'
        expression:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ExpressionApproval'
            - type: 'null'
        group:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.AppGroupApproval'
            - type: 'null'
        manager:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ManagerApproval'
            - type: 'null'
        requireApprovalReason:
          description: Configuration to require a reason when approving this step.
          type:
            - boolean
            - 'null'
        requireDenialReason:
          description: Configuration to require a reason when denying this step.
          type:
            - boolean
            - 'null'
        requireReassignmentReason:
          description: Configuration to require a reason when reassigning this step.
          type:
            - boolean
            - 'null'
        requiresStepUpProviderId:
          description: >-
            The ID of a step-up authentication provider that will be required
            for approvals on this step.
             If set, approvers must complete the step-up authentication flow before they can approve.
          type:
            - string
            - 'null'
        resourceOwners:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.ResourceOwnerApproval'
            - type: 'null'
        self:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.SelfApproval'
            - type: 'null'
        users:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.UserApproval'
            - type: 'null'
        webhook:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.WebhookApproval'
            - type: 'null'
      title: Approval
      type: object
      x-speakeasy-name-override: Approval
    c1.api.policy.v1.ApprovedAction:
      description: >-
        The approved action indicates that the approvalinstance had an outcome
        of approved.
      properties:
        approvedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        entitlements:
          description: >-
            The entitlements that were approved. This will only ever be a list
            of one entitlement.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          readOnly: true
          type:
            - array
            - 'null'
        stepUpTransactionId:
          description: >-
            The ID of the step-up transaction that was used for this approval,
            if step-up was required.
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The UserID that approved this step.
          readOnly: true
          type:
            - string
            - 'null'
      title: Approved Action
      type: object
      x-speakeasy-name-override: ApprovedAction
    c1.api.policy.v1.DeniedAction:
      description: >-
        The denied action indicates that the c1.api.policy.v1.ApprovalInstance
        had an outcome of denied.
      properties:
        deniedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The UserID that denied this step.
          readOnly: true
          type:
            - string
            - 'null'
      title: Denied Action
      type: object
      x-speakeasy-name-override: DeniedAction
    c1.api.policy.v1.EscalationInstance:
      description: >
        The EscalationInstance message.


        This message contains a oneof named escalation_policy. Only a single
        field of the following list may be set at a time:
          - replacePolicy
          - reassignToApprovers
          - cancelTicket
          - skipStep
      properties:
        alreadyEscalated:
          description: The alreadyEscalated field.
          type:
            - boolean
            - 'null'
        cancelTicket:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.EscalationInstance.CancelTicket
            - type: 'null'
        escalationComment:
          description: The escalationComment field.
          type:
            - string
            - 'null'
        expiresAt:
          format: date-time
          type:
            - string
            - 'null'
        reassignToApprovers:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.EscalationInstance.ReassignToApprovers
            - type: 'null'
        replacePolicy:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.EscalationInstance.ReplacePolicy
            - type: 'null'
        skipStep:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.EscalationInstance.SkipStep
            - type: 'null'
      title: Escalation Instance
      type: object
      x-speakeasy-name-override: EscalationInstance
    c1.api.policy.v1.ReassignedAction:
      description: >-
        The ReassignedAction object describes the outcome of a policy step that
        has been reassigned.
      properties:
        newPolicyStepId:
          description: >-
            The ID of the policy step that was created as a result of this
            reassignment.
          readOnly: true
          type:
            - string
            - 'null'
        reassignedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The UserID of the person who reassigned this step.
          readOnly: true
          type:
            - string
            - 'null'
      title: Reassigned Action
      type: object
      x-speakeasy-name-override: ReassignedAction
    c1.api.policy.v1.ReassignedByErrorAction:
      description: >-
        The ReassignedByErrorAction object describes the outcome of a policy
        step that has been reassigned because it had an error provisioning.
      properties:
        description:
          description: >-
            The description of the error with more details on why this was
            reassigned.
          readOnly: true
          type:
            - string
            - 'null'
        errorCode:
          description: >-
            Additional information about the error, like http status codes or
            error messages from SDKs.
          readOnly: true
          type:
            - string
            - 'null'
        errorUserId:
          description: >-
            The UserID of the user who reassigned this due to an error. This
            will exclusively be the System's UserID.
          readOnly: true
          type:
            - string
            - 'null'
        erroredAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        newPolicyStepId:
          description: The ID of the policy step that was created by this reassignment.
          readOnly: true
          type:
            - string
            - 'null'
        reassignedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Reassigned By Error Action
      type: object
      x-speakeasy-name-override: ReassignedByErrorAction
    c1.api.policy.v1.RestartAction:
      description: >-
        The restart action describes the outcome of policy steps for when the
        task was restarted. This can be applied to multiple steps since restart
        skips all pending next steps.
      properties:
        oldPolicyStepId:
          description: >-
            The step ID that was restarted. Potentially multiple "history" steps
            will reference this ID to indicate by what step they were restarted.
          readOnly: true
          type:
            - string
            - 'null'
        restartedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The user that submitted the restart action.
          readOnly: true
          type:
            - string
            - 'null'
      title: Restart Action
      type: object
      x-speakeasy-name-override: RestartAction
    c1.api.policy.v1.SkippedAction:
      description: >-
        The SkippedAction object describes the outcome of a policy step that has
        been skipped.
      properties:
        newPolicyStepId:
          description: >-
            The ID of the policy step that was created as a result of this
            skipping.
          readOnly: true
          type:
            - string
            - 'null'
        skippedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The UserID of the user who skipped this step.
          readOnly: true
          type:
            - string
            - 'null'
      title: Skipped Action
      type: object
      x-speakeasy-name-override: SkippedAction
    c1.api.user.v1.UserAttributeMappingSource:
      description: The UserAttributeMappingSource message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        appUserId:
          description: The appUserId field.
          type:
            - string
            - 'null'
        appUserProfileAttributeKey:
          description: The appUserProfileAttributeKey field.
          type:
            - string
            - 'null'
        userAttributeMappingId:
          description: The userAttributeMappingId field.
          type:
            - string
            - 'null'
        value:
          description: The value field.
          type:
            - string
            - 'null'
      title: User Attribute Mapping Source
      type: object
      x-speakeasy-name-override: UserAttributeMappingSource
    c1.api.policy.v1.ActionTargetAutomation:
      description: ActionTargetAutomation targets automation templates for policy actions.
      properties:
        automationTemplateId:
          description: The automationTemplateId field.
          type:
            - string
            - 'null'
      title: Action Target Automation
      type: object
      x-speakeasy-name-override: ActionTargetAutomation
    c1.api.policy.v1.ActionTargetBatonResourceAction:
      description: ActionTargetResource targets resource actions for policy actions.
      properties:
        batonResourceActionId:
          description: The batonResourceActionId field.
          type:
            - string
            - 'null'
      title: Action Target Baton Resource Action
      type: object
      x-speakeasy-name-override: ActionTargetBatonResourceAction
    c1.api.policy.v1.ActionTargetClientIdApproval:
      description: |-
        ActionTargetClientIdApproval targets administrator review of an external
         OAuth client registration (CIMD or DCR) for policy actions.
      title: Action Target Client Id Approval
      type: object
      x-speakeasy-name-override: ActionTargetClientIdApproval
    c1.api.policy.v1.AgentApproval:
      description: The agent to assign the task to.
      properties:
        agentFailureAction:
          description: >-
            The action to take if the agent fails to approve, deny, or reassign
            the task.
          enum:
            - APPROVAL_AGENT_FAILURE_ACTION_UNSPECIFIED
            - APPROVAL_AGENT_FAILURE_ACTION_REASSIGN_TO_USERS
            - APPROVAL_AGENT_FAILURE_ACTION_REASSIGN_TO_SUPER_ADMINS
            - APPROVAL_AGENT_FAILURE_ACTION_SKIP_POLICY_STEP
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        agentMode:
          description: >-
            The mode of the agent, full control, change policy only, or comment
            only.
          enum:
            - APPROVAL_AGENT_MODE_UNSPECIFIED
            - APPROVAL_AGENT_MODE_FULL_CONTROL
            - APPROVAL_AGENT_MODE_CHANGE_POLICY_ONLY
            - APPROVAL_AGENT_MODE_COMMENT_ONLY
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        agentUserId:
          description: The agent user ID to assign the task to.
          type:
            - string
            - 'null'
        instructions:
          description: Instructions for the agent.
          type:
            - string
            - 'null'
        policyIds:
          description: The allow list of policy IDs to re-route the task to.
          items:
            type: string
          type:
            - array
            - 'null'
        reassignToUserIds:
          description: >-
            The users to reassign the task to if the agent failure action is
            reassign to users.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Agent Approval
      type: object
      x-speakeasy-name-override: AgentApproval
    c1.api.policy.v1.AppOwnerApproval:
      description: >-
        App owner approval provides the configuration for an approval step when
        the app owner is the target.
      properties:
        allowSelfApproval:
          description: >-
            Configuration that allows a user to self approve if they are an app
            owner during this approval step.
          type:
            - boolean
            - 'null'
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          type:
            - boolean
            - 'null'
      title: App Owner Approval
      type: object
      x-speakeasy-name-override: AppOwnerApproval
    c1.api.policy.v1.EntitlementOwnerApproval:
      description: >-
        The entitlement owner approval allows configuration of the approval step
        when the target approvers are the entitlement owners.
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval if the target user is an
            entitlement owner during this step.
          type:
            - boolean
            - 'null'
        fallback:
          description: >-
            Configuration to allow a fallback if the entitlement owner cannot be
            identified.
          type:
            - boolean
            - 'null'
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the entitlement owner cannot be identified.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          type:
            - array
            - 'null'
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
            enabled and the entitlement owner cannot be identified.
          items:
            type: string
          type:
            - array
            - 'null'
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          type:
            - boolean
            - 'null'
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          type:
            - boolean
            - 'null'
      title: Entitlement Owner Approval
      type: object
      x-speakeasy-name-override: EntitlementOwnerApproval
    c1.api.policy.v1.Escalation:
      description: >
        The Escalation message.


        This message contains a oneof named escalation_policy. Only a single
        field of the following list may be set at a time:
          - replacePolicy
          - reassignToApprovers
          - cancelTicket
          - skipStep
      properties:
        cancelTicket:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Escalation.CancelTicket'
            - type: 'null'
        escalationComment:
          description: The escalationComment field.
          type:
            - string
            - 'null'
        expiration:
          description: The expiration field.
          format: int64
          type:
            - string
            - 'null'
        reassignToApprovers:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.policy.v1.Escalation.ReassignToApprovers
            - type: 'null'
        replacePolicy:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Escalation.ReplacePolicy'
            - type: 'null'
        skipStep:
          oneOf:
            - $ref: '#/components/schemas/c1.api.policy.v1.Escalation.SkipStep'
            - type: 'null'
      title: Escalation
      type: object
[...]
